diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -20424,104 +21872,112 @@ namespace Jenssegers\Agent\Facades {
          */ 
         public static function languages($acceptLanguage = null)
         {
-            return \Jenssegers\Agent\Agent::languages($acceptLanguage);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->languages($acceptLanguage);
         }
         
         /**
          * Get the browser name.
          *
-         * @param null $userAgent
+         * @param string|null $userAgent
          * @return string 
          * @static 
          */ 
         public static function browser($userAgent = null)
         {
-            return \Jenssegers\Agent\Agent::browser($userAgent);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->browser($userAgent);
         }
         
         /**
          * Get the platform name.
          *
-         * @param string $userAgent
+         * @param string|null $userAgent
          * @return string 
          * @static 
          */ 
         public static function platform($userAgent = null)
         {
-            return \Jenssegers\Agent\Agent::platform($userAgent);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->platform($userAgent);
         }
         
         /**
          * Get the device name.
          *
-         * @param string $userAgent
+         * @param string|null $userAgent
          * @return string 
          * @static 
          */ 
         public static function device($userAgent = null)
         {
-            return \Jenssegers\Agent\Agent::device($userAgent);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->device($userAgent);
         }
         
         /**
          * Check if the device is a desktop computer.
          *
-         * @param string $userAgent deprecated
+         * @param string|null $userAgent deprecated
          * @param array $httpHeaders deprecated
          * @return bool 
          * @static 
          */ 
         public static function isDesktop($userAgent = null, $httpHeaders = null)
         {
-            return \Jenssegers\Agent\Agent::isDesktop($userAgent, $httpHeaders);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->isDesktop($userAgent, $httpHeaders);
         }
         
         /**
          * Check if the device is a mobile phone.
          *
-         * @param string $userAgent deprecated
+         * @param string|null $userAgent deprecated
          * @param array $httpHeaders deprecated
          * @return bool 
          * @static 
          */ 
         public static function isPhone($userAgent = null, $httpHeaders = null)
         {
-            return \Jenssegers\Agent\Agent::isPhone($userAgent, $httpHeaders);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->isPhone($userAgent, $httpHeaders);
         }
         
         /**
          * Get the robot name.
          *
-         * @param string $userAgent
+         * @param string|null $userAgent
          * @return string|bool 
          * @static 
          */ 
         public static function robot($userAgent = null)
         {
-            return \Jenssegers\Agent\Agent::robot($userAgent);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->robot($userAgent);
         }
         
         /**
          * Check if device is a robot.
          *
-         * @param string $userAgent
+         * @param string|null $userAgent
          * @return bool 
          * @static 
          */ 
         public static function isRobot($userAgent = null)
         {
-            return \Jenssegers\Agent\Agent::isRobot($userAgent);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->isRobot($userAgent);
         }
         
         /**
          * 
          *
-         * @inheritdoc 
          * @static 
          */ 
         public static function version($propertyName, $type = 'text')
         {
-            return \Jenssegers\Agent\Agent::version($propertyName, $type);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->version($propertyName, $type);
         }
         
         /**
@@ -20537,7 +21993,7 @@ namespace Jenssegers\Agent\Facades {
         public static function getScriptVersion()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getScriptVersion();
+                        return \Jenssegers\Agent\Agent::getScriptVersion();
         }
         
         /**
@@ -20550,7 +22006,8 @@ namespace Jenssegers\Agent\Facades {
         public static function setHttpHeaders($httpHeaders = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::setHttpHeaders($httpHeaders);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->setHttpHeaders($httpHeaders);
         }
         
         /**
@@ -20562,7 +22019,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getHttpHeaders()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getHttpHeaders();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getHttpHeaders();
         }
         
         /**
@@ -20579,7 +22037,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getHttpHeader($header)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getHttpHeader($header);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getHttpHeader($header);
         }
         
         /**
@@ -20590,7 +22049,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getMobileHeaders()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getMobileHeaders();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getMobileHeaders();
         }
         
         /**
@@ -20603,7 +22063,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getUaHttpHeaders()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getUaHttpHeaders();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getUaHttpHeaders();
         }
         
         /**
@@ -20617,7 +22078,8 @@ namespace Jenssegers\Agent\Facades {
         public static function setCfHeaders($cfHeaders = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::setCfHeaders($cfHeaders);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->setCfHeaders($cfHeaders);
         }
         
         /**
@@ -20629,7 +22091,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getCfHeaders()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getCfHeaders();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getCfHeaders();
         }
         
         /**
@@ -20642,7 +22105,8 @@ namespace Jenssegers\Agent\Facades {
         public static function setUserAgent($userAgent = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::setUserAgent($userAgent);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->setUserAgent($userAgent);
         }
         
         /**
@@ -20654,7 +22118,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getUserAgent()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getUserAgent();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getUserAgent();
         }
         
         /**
@@ -20669,7 +22134,8 @@ namespace Jenssegers\Agent\Facades {
         public static function setDetectionType($type = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::setDetectionType($type);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->setDetectionType($type);
         }
         
         /**
@@ -20680,7 +22146,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getMatchingRegex()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getMatchingRegex();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getMatchingRegex();
         }
         
         /**
@@ -20691,7 +22158,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getMatchesArray()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getMatchesArray();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getMatchesArray();
         }
         
         /**
@@ -20703,7 +22171,7 @@ namespace Jenssegers\Agent\Facades {
         public static function getPhoneDevices()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getPhoneDevices();
+                        return \Jenssegers\Agent\Agent::getPhoneDevices();
         }
         
         /**
@@ -20715,7 +22183,7 @@ namespace Jenssegers\Agent\Facades {
         public static function getTabletDevices()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getTabletDevices();
+                        return \Jenssegers\Agent\Agent::getTabletDevices();
         }
         
         /**
@@ -20727,19 +22195,7 @@ namespace Jenssegers\Agent\Facades {
         public static function getUserAgents()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getUserAgents();
-        }
-        
-        /**
-         * Retrieve the list of known browsers. Specifically, the user agents.
-         *
-         * @return array List of browsers / user agents.
-         * @static 
-         */ 
-        public static function getBrowsers()
-        {
-            //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getBrowsers();
+                        return \Jenssegers\Agent\Agent::getUserAgents();
         }
         
         /**
@@ -20751,7 +22207,7 @@ namespace Jenssegers\Agent\Facades {
         public static function getUtilities()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getUtilities();
+                        return \Jenssegers\Agent\Agent::getUtilities();
         }
         
         /**
@@ -20764,7 +22220,7 @@ namespace Jenssegers\Agent\Facades {
         public static function getMobileDetectionRules()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getMobileDetectionRules();
+                        return \Jenssegers\Agent\Agent::getMobileDetectionRules();
         }
         
         /**
@@ -20781,19 +22237,8 @@ namespace Jenssegers\Agent\Facades {
         public static function getMobileDetectionRulesExtended()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getMobileDetectionRulesExtended();
-        }
-        
-        /**
-         * Retrieve the list of mobile operating systems.
-         *
-         * @return array The list of mobile operating systems.
-         * @static 
-         */ 
-        public static function getOperatingSystems()
-        {
-            //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getOperatingSystems();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->getMobileDetectionRulesExtended();
         }
         
         /**
@@ -20808,7 +22253,8 @@ namespace Jenssegers\Agent\Facades {
         public static function checkHttpHeadersForMobile()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::checkHttpHeadersForMobile();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->checkHttpHeadersForMobile();
         }
         
         /**
@@ -20824,7 +22270,8 @@ namespace Jenssegers\Agent\Facades {
         public static function isMobile($userAgent = null, $httpHeaders = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::isMobile($userAgent, $httpHeaders);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->isMobile($userAgent, $httpHeaders);
         }
         
         /**
@@ -20840,7 +22287,8 @@ namespace Jenssegers\Agent\Facades {
         public static function isTablet($userAgent = null, $httpHeaders = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::isTablet($userAgent, $httpHeaders);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->isTablet($userAgent, $httpHeaders);
         }
         
         /**
@@ -20857,7 +22305,8 @@ namespace Jenssegers\Agent\Facades {
         public static function is($key, $userAgent = null, $httpHeaders = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::is($key, $userAgent, $httpHeaders);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->is($key, $userAgent, $httpHeaders);
         }
         
         /**
@@ -20878,19 +22327,8 @@ namespace Jenssegers\Agent\Facades {
         public static function match($regex, $userAgent = null)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::match($regex, $userAgent);
-        }
-        
-        /**
-         * Get the properties array.
-         *
-         * @return array 
-         * @static 
-         */ 
-        public static function getProperties()
-        {
-            //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::getProperties();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->match($regex, $userAgent);
         }
         
         /**
@@ -20904,7 +22342,8 @@ namespace Jenssegers\Agent\Facades {
         public static function prepareVersionNo($ver)
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::prepareVersionNo($ver);
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->prepareVersionNo($ver);
         }
         
         /**
@@ -20916,7 +22355,8 @@ namespace Jenssegers\Agent\Facades {
         public static function mobileGrade()
         {
             //Method inherited from \Mobile_Detect            
-            return \Jenssegers\Agent\Agent::mobileGrade();
+                        /** @var \Jenssegers\Agent\Agent $instance */
+                        return $instance->mobileGrade();
         }
          
     }
@@ -20940,7 +22380,8 @@ namespace Anhskohbo\NoCaptcha\Facades {
          */ 
         public static function display($attributes = array())
         {
-            return \Anhskohbo\NoCaptcha\NoCaptcha::display($attributes);
+                        /** @var \Anhskohbo\NoCaptcha\NoCaptcha $instance */
+                        return $instance->display($attributes);
         }
         
         /**
@@ -20951,7 +22392,8 @@ namespace Anhskohbo\NoCaptcha\Facades {
          */ 
         public static function displayWidget($attributes = array())
         {
-            return \Anhskohbo\NoCaptcha\NoCaptcha::displayWidget($attributes);
+                        /** @var \Anhskohbo\NoCaptcha\NoCaptcha $instance */
+                        return $instance->displayWidget($attributes);
         }
         
         /**
@@ -20965,7 +22407,8 @@ namespace Anhskohbo\NoCaptcha\Facades {
          */ 
         public static function displaySubmit($formIdentifier, $text = 'submit', $attributes = array())
         {
-            return \Anhskohbo\NoCaptcha\NoCaptcha::displaySubmit($formIdentifier, $text, $attributes);
+                        /** @var \Anhskohbo\NoCaptcha\NoCaptcha $instance */
+                        return $instance->displaySubmit($formIdentifier, $text, $attributes);
         }
         
         /**
@@ -20979,7 +22422,8 @@ namespace Anhskohbo\NoCaptcha\Facades {
          */ 
         public static function renderJs($lang = null, $callback = false, $onLoadClass = 'onloadCallBack')
         {
-            return \Anhskohbo\NoCaptcha\NoCaptcha::renderJs($lang, $callback, $onLoadClass);
+                        /** @var \Anhskohbo\NoCaptcha\NoCaptcha $instance */
+                        return $instance->renderJs($lang, $callback, $onLoadClass);
         }
         
         /**
@@ -20992,7 +22436,8 @@ namespace Anhskohbo\NoCaptcha\Facades {
          */ 
         public static function verifyResponse($response, $clientIp = null)
         {
-            return \Anhskohbo\NoCaptcha\NoCaptcha::verifyResponse($response, $clientIp);
+                        /** @var \Anhskohbo\NoCaptcha\NoCaptcha $instance */
+                        return $instance->verifyResponse($response, $clientIp);
         }
         
         /**
@@ -21004,7 +22449,8 @@ namespace Anhskohbo\NoCaptcha\Facades {
          */ 
         public static function verifyRequest($request)
         {
-            return \Anhskohbo\NoCaptcha\NoCaptcha::verifyRequest($request);
+                        /** @var \Anhskohbo\NoCaptcha\NoCaptcha $instance */
+                        return $instance->verifyRequest($request);
         }
         
         /**
@@ -21018,7 +22464,8 @@ namespace Anhskohbo\NoCaptcha\Facades {
          */ 
         public static function getJsLink($lang = null, $callback = false, $onLoadClass = 'onloadCallBack')
         {
-            return \Anhskohbo\NoCaptcha\NoCaptcha::getJsLink($lang, $callback, $onLoadClass);
+                        /** @var \Anhskohbo\NoCaptcha\NoCaptcha $instance */
+                        return $instance->getJsLink($lang, $callback, $onLoadClass);
         }
          
     }
@@ -21030,6 +22477,16 @@ namespace Barryvdh\Debugbar {
     /**
      * 
      *
+     * @method static void alert(string $message)
+     * @method static void critical(string $message)
+     * @method static void debug(string $message)
+     * @method static void emergency(string $message)
+     * @method static void error(string $message)
+     * @method static void info(string $message)
+     * @method static void log(string $message)
+     * @method static void notice(string $message)
+     * @method static void warning(string $message)
+     * @see \Barryvdh\Debugbar\LaravelDebugbar
      */ 
     class Facade {
         
@@ -21040,7 +22497,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function enable()
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::enable();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->enable();
         }
         
         /**
@@ -21050,7 +22508,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function boot()
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::boot();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->boot();
         }
         
         /**
@@ -21060,7 +22519,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function shouldCollect($name, $default = false)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::shouldCollect($name, $default);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->shouldCollect($name, $default);
         }
         
         /**
@@ -21068,12 +22528,13 @@ namespace Barryvdh\Debugbar {
          *
          * @param \Barryvdh\Debugbar\DataCollectorInterface $collector
          * @throws DebugBarException
-         * @return $this 
+         * @return \Barryvdh\Debugbar\LaravelDebugbar 
          * @static 
          */ 
         public static function addCollector($collector)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::addCollector($collector);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->addCollector($collector);
         }
         
         /**
@@ -21089,7 +22550,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function handleError($level, $message, $file = '', $line = 0, $context = array())
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::handleError($level, $message, $file, $line, $context);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->handleError($level, $message, $file, $line, $context);
         }
         
         /**
@@ -21101,7 +22563,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function startMeasure($name, $label = null)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::startMeasure($name, $label);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->startMeasure($name, $label);
         }
         
         /**
@@ -21112,7 +22575,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function stopMeasure($name)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::stopMeasure($name);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->stopMeasure($name);
         }
         
         /**
@@ -21124,7 +22588,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function addException($e)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::addException($e);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->addException($e);
         }
         
         /**
@@ -21135,7 +22600,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function addThrowable($e)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::addThrowable($e);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->addThrowable($e);
         }
         
         /**
@@ -21148,7 +22614,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function getJavascriptRenderer($baseUrl = null, $basePath = null)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::getJavascriptRenderer($baseUrl, $basePath);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->getJavascriptRenderer($baseUrl, $basePath);
         }
         
         /**
@@ -21161,7 +22628,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function modifyResponse($request, $response)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::modifyResponse($request, $response);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->modifyResponse($request, $response);
         }
         
         /**
@@ -21172,7 +22640,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function isEnabled()
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::isEnabled();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->isEnabled();
         }
         
         /**
@@ -21183,7 +22652,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function collect()
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::collect();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->collect();
         }
         
         /**
@@ -21195,7 +22665,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function injectDebugbar($response)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::injectDebugbar($response);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->injectDebugbar($response);
         }
         
         /**
@@ -21205,7 +22676,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function disable()
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::disable();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->disable();
         }
         
         /**
@@ -21218,7 +22690,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function addMeasure($label, $start, $end)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::addMeasure($label, $start, $end);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->addMeasure($label, $start, $end);
         }
         
         /**
@@ -21230,7 +22703,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function measure($label, $closure)
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::measure($label, $closure);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->measure($label, $closure);
         }
         
         /**
@@ -21241,7 +22715,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function collectConsole()
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::collectConsole();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->collectConsole();
         }
         
         /**
@@ -21255,7 +22730,8 @@ namespace Barryvdh\Debugbar {
          */ 
         public static function addMessage($message, $label = 'info')
         {
-            return \Barryvdh\Debugbar\LaravelDebugbar::addMessage($message, $label);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->addMessage($message, $label);
         }
         
         /**
@@ -21268,7 +22744,8 @@ namespace Barryvdh\Debugbar {
         public static function hasCollector($name)
         {
             //Method inherited from \DebugBar\DebugBar            
-            return \Barryvdh\Debugbar\LaravelDebugbar::hasCollector($name);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->hasCollector($name);
         }
         
         /**
@@ -21282,7 +22759,8 @@ namespace Barryvdh\Debugbar {
         public static function getCollector($name)
         {
             //Method inherited from \DebugBar\DebugBar            
-            return \Barryvdh\Debugbar\LaravelDebugbar::getCollector($name);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->getCollector($name);
         }
         
         /**
@@ -21294,20 +22772,22 @@ namespace Barryvdh\Debugbar {
         public static function getCollectors()
         {
             //Method inherited from \DebugBar\DebugBar            
-            return \Barryvdh\Debugbar\LaravelDebugbar::getCollectors();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->getCollectors();
         }
         
         /**
          * Sets the request id generator
          *
          * @param \DebugBar\RequestIdGeneratorInterface $generator
-         * @return $this 
+         * @return \Barryvdh\Debugbar\LaravelDebugbar 
          * @static 
          */ 
         public static function setRequestIdGenerator($generator)
         {
             //Method inherited from \DebugBar\DebugBar            
-            return \Barryvdh\Debugbar\LaravelDebugbar::setRequestIdGenerator($generator);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->setRequestIdGenerator($generator);
         }
         
         /**
@@ -21319,7 +22799,8 @@ namespace Barryvdh\Debugbar {
         public static function getRequestIdGenerator()
         {
             //Method inherited from \DebugBar\DebugBar            
-            return \Barryvdh\Debugbar\LaravelDebugbar::getRequestIdGenerator();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->getRequestIdGenerator();
         }
         
         /**
@@ -21331,20 +22812,22 @@ namespace Barryvdh\Debugbar {
         public static function getCurrentRequestId()
         {
             //Method inherited from \DebugBar\DebugBar            
-            return \Barryvdh\Debugbar\LaravelDebugbar::getCurrentRequestId();
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->getCurrentRequestId();
         }
         
         /**
          * Sets the storage backend to use to store the collected data
          *
          * @param \DebugBar\StorageInterface $storage
-         * @return $this 
+         * @return \Barryvdh\Debugbar\LaravelDebugbar 
          * @static 
          */ 
         public static function setStorage($storage = null)
         {
             //Method inherited from \DebugBar\DebugBar            
-            return \Barryvdh\Debugbar\LaravelDebugbar::setStorage($storage);
+                        /** @var \Barryvdh\Debugbar\LaravelDebugbar $instance */
+                        return $instance->setStorage($storage);
         }
         
         /**
